when:
  - event: push
    branch: trunk
steps:
  - name: build linux
    image: vcs.otl-hga.net/nicole/seagull-game:buildenv
    commands:
      - mkdir build && cd build
      - cargo install rant --version 4.0.0-alpha.33 --features cli --root $(pwd)/opt/rant
      - mkdir -p app/rant
      - python ../render-wordlists.py -i ../ext/imsky/wordlists -o rant ./app/rant/wordlist.rant
      - rsync -r ../app .
      - pip install -r app/requirements.txt
      - pip install -r app/requirements-build-desktop.txt
      - pip install -r app/requirements-desktop.txt
      - pip install -r app/requirements-desktop-linux.txt
      - pyinstaller seagull.spec